com.holonplatform.core.property

## Interface CollectionProperty<E,C extends Collection<E>>

- Type Parameters:
    `E` - Collection elements type
    `C` - Concrete collection type
  All Superinterfaces:
    ConverterExpression<C>, Expression, HasConfiguration<PropertyConfiguration>, Localizable, Property<C>, Serializable, TypedExpression<C>, Validator.Validatable<C>
  All Known Subinterfaces:
    CollectionPathProperty<E,C>, CollectionProperty.ListProperty<T>, CollectionProperty.SetProperty<T>, ListPathProperty<T>, ListPathProperty.ListPathPropertyBuilder<T>, ListVirtualProperty<T>, ListVirtualProperty.ListVirtualPropertyBuilder<T>, SetPathProperty<T>, SetPathProperty.SetPathPropertyBuilder<T>, SetVirtualProperty<T>, SetVirtualProperty.SetVirtualPropertyBuilder<T>

      public interface CollectionProperty<E,C extends Collection<E>>
      extends Property<C>

  A `Property` which handles a `Collection` of values.

  The collection elements type is provided by the `getElementType()` method.

  Since:
    5.2.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `CollectionProperty.Builder<E,C extends Collection<E>,P extends CollectionProperty<E,C>,B extends CollectionProperty.Builder<E,C,P,B>>` Base `CollectionProperty` builder.
    `static interface` | `CollectionProperty.ListProperty<T>` A `CollectionProperty` which uses a `List` as concrete collection type.
    `static interface` | `CollectionProperty.SetProperty<T>` A `CollectionProperty` which uses a `Set` as concrete collection type.

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.property.Property

      `Property.PropertyAccessException, Property.PropertyNotFoundException, Property.PropertyReadException, Property.PropertyReadOnlyException, Property.PropertyWriteException`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.i18n.Localizable

      `Localizable.LocalizableBuilder, Localizable.LocalizationException`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Expression

      `Expression.ExpressionResolverFunction<E extends Expression,R extends Expression>, Expression.InvalidExpressionException`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class<? extends E>` | `getElementType()` Get the collection elements type.

    - ### Methods inherited from interface com.holonplatform.core.property.Property

      `getConfiguration, getConvertedValue, getConverter, getExpressionValueConverter, getName, getTemporalType, getType, isReadOnly, present, render, renderIfAvailable`

    - ### Methods inherited from interface com.holonplatform.core.Validator.Validatable

      `getValidators, validate`

    - ### Methods inherited from interface com.holonplatform.core.i18n.Localizable

      `builder, getMessage, getMessageArguments, getMessageCode, of, of`

    - ### Methods inherited from interface com.holonplatform.core.HasConfiguration

      `hasConfiguration`

    - ### Methods inherited from interface com.holonplatform.core.ConverterExpression

      `getModelType, getModelValue`

    - ### Methods inherited from interface com.holonplatform.core.TypedExpression

      `isCollectionExpression, isConverterExpression`

    - ### Methods inherited from interface com.holonplatform.core.Expression

      `validate`

- - ### Method Detail

    - #### getElementType

          Class<? extends E> getElementType()

      Get the collection elements type.
      Returns:
        collection elements type

Copyright © 2019 The Holon Platform. All rights reserved.